<?php
namespace CorpusParole\Libraries\Mappers;

/**
 * Map a rdf graph to one more graph(es).
 */
interface RdfMapper {

    /**
     * Map an Rdf Graph from one model to another
     * @return the new mapped graph
     */
    function mapGraph();

    /**
     * Get output graphes
     * @return array
     */
    function getOutputGraphes();
}
